Remote Installation Services

Remote Installation Services is an optional component of the Windows 2000 Server operating system that you can use to set up new client computers without the need to physically visit each client computer.

  • Before you begin using Remote Installation Services, see Checklist: Installing Remote Installation Services.
  • For tips about using Remote Installation Services, see Best practices.
  • For help with specific tasks, see How to.
  • For general background information, see Concepts.
  • For problem-solving instructions, see Troubleshooting.


Checklist: Installing Remote Installation Services

Step | Reference
Review key concepts. | Concepts
Make sure that both your server and client hardware meet the remote installation hardware requirements. | Remote Installation Services system requirements
Make sure a Domain Name System (DNS) server exists on the network. | To install a DNS server; To configure a standard primary DNS server for a new zone
Make sure an authorized DHCP server exists on the network. | To install a DHCP server; Checklist: Installing a DHCP server
Make sure Active Directory exists on the network. | Active Directory Overview; Checklist: Installing a domain controller
Install and configure Remote Installation Services. | To install Remote Installation Services


Best practices

  • Using the appropriate number of Remote Installation Service servers on your network.
    In a small local area network (LAN)—for example, one physical subnet without a router—a single Remote Installation Services server can serve all PXE remote boot–enabled client computers up to the network bandwidth, or server resource limitations. In routed environments, use the prestaged client option to direct clients to the physically closest Remote Installation Services server for client servicing. In branch office situations, where only slow links exist to the branch site, physically locate a Remote Installation Services server at the branch site to avoid saturation of the slow link to that site.
  • Restricting the number of installation options and operating system choices a users has access to within the Client Installation wizard.
    By restricting the installation options, you increase the percentage of successful operating system installations without requiring assistance from technical support or administrative staff. By default, Remote Installation Services ships with only one installation option and operating system choice, both of which are not offered to users by default. For more information on client installation image options, see Installation options.
  • Using the Remote Installation Preparation wizard (RIPrep) image format to deploy a Windows 2000 Professional standard corporate desktop configuration across different types of client hardware throughout your organization.
    Using the Remote Installation Preparation wizard, an administrator can replicate the installation image of an existing Windows 2000 Professional client computer, including any locally installed applications and operating system configuration changes, to an available remote installation server on the network. After it is replicated, the installation image can be remotely installed by any supported client computer, regardless of the hardware differences between the source computer used to create the image and the destination computer installing that image. For more information, see Creating an installation image.
  • Using Remote Installation Services with computers that do not contain the PXE-based remote boot ROM.
    Use the remote boot floppy generator (Rbfg.exe) to create a floppy disk for computers that do not contain the PXE-based remote boot ROM. You can then use the Remote Installation Services feature for these computers. For more information on the PXE-based remote boot ROM, see PXE architecture.
  • Using the Client Installation wizard and non-ASCII characters.
    Limit the characters to only standard ASCII characters (OEM characters 32–127) for user name, password, or domain name information. The Client Installation wizard does not support extended ASCII character sets (such as those containing ü, é, and so on).


How to...

  • Install Remote Installation Services
  • Configure Remote Installation Services
  • Manage server options
  • Manage client installation images
  • Manage client computers
  • Manage security


Install Remote Installation Services

To install Remote Installation Services

  1. Click Start, point to Programs, point to Administrative Tools, and then click Configure Your Server.
  2. In the Configure Your Server dialog box, click Finish setup.
  3. In the Configure Remote Installation Services dialog box, click Configure to start the Remote Installation Setup wizard.
  4. In the Remote Installation Setup wizard dialog box, click Next.
  5. In the Remote Installation Services Setup wizard, you are prompted for the following information:
    Remote Installation Services drive and directory
    Enter the drive and directory where you want Remote Installation Services to be installed. The drive should be dedicated to the Remote Installation Services server and contain enough space to store as many client images as you plan to host with this server. The minimum should be a 4-gigabyte drive or partition.
    Windows 2000 Professional Source Path
    Enter the location of the Windows 2000 Professional files. This can be the Windows 2000 Professional compact disc or the network share that contains the installation files.
    Friendly Description and Help Text
    Enter the friendly description for the client computer installation. This description will be displayed to users or clients of this server. Help text is used to describe the operating system installation choice to users or clients of Remote Installation Services.

Notes

  • To start the Remote Installation Services Setup wizard, click Start, point to Run, and type RIsetup.
  • This procedure requires you to have Administrator privileges.
  • A Windows 2000 server or servers with DNS and DHCP services must be available on your network before Remote Installation Services can be installed.
  • The installation wizard might prompt you to restart the computer if Remote Installation Services was added after installing Windows 2000 server by way of the Add/Remove Windows Components feature of Control Panel.
  • To install Remote Installation Services, either select the Advanced option from the Windows 2000 Configure Your Server window or from the Add/Remove Windows Components feature of Control Panel.
  • Installation images that are stored in locations other than
    \\Server_name\Share_name\REMINST\Setup\Language\Images
    and referenced through junction points are not acted on by the SIS groveler agent. These installation images must be installed on an NTFS-formatted drive.
  • Remote Installation Services must be installed on an NTFS- formatted drive.
  • Remote Installation Services currently does not support the Encrypting File System (EFS), or the distributed file system (Dfs).
  • The remote install volume cannot be installed on the same drive that contains the Windows 2000 Server operating system.
  • To make sure all of the services have started successfully, open the Windows Event Viewer and review the entries for System Log and Application Log. For more information on the Windows Event Viewer, see Related Topics.

Related Topics


Configure Remote Installation Services

  • Configure Remote Installation Services
  • Configure Remote Installation Services advanced settings
  • Manage client installation images
  • Manage troubleshooting tools


Configure Remote Installation Services

To configure Remote Installation Services

  1. Open Active Directory Users and Computers.
  2. In the console tree, right-click the applicable remote installation server.

    Where?

    • Active Directory Users and Computers
    • Applicable domain
    • Applicable organizational unit (such as Computers or Domain Controllers)
    • Applicable remote installation server
  3. Click Properties, and then in the Properties dialog box, click the Remote Install tab.
  4. In the Remote Install dialog box, click one of the following options:
    • Respond to client computers requesting service
    • Do not respond to unknown client computers

    For more information on these options, see Responding to client service requests.

Note

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.

Related Topics


Configure Remote Installation Services advanced settings

To configure Remote Installation Services advanced settings

  1. Open Active Directory Users and Computers.
  2. In the console tree, right-click the applicable remote installation server.

    Where?

    • Active Directory Users and Computers
    • Applicable domain
    • Applicable organizational unit (such as Computers or Domain Controllers)
    • Applicable remote installation server
  3. Click Properties. In the Properties dialog box, click the Remote Install tab, and then click Advanced Settings.
  4. In the Advanced Settings dialog box, click the New Clients tab.
  5. Click the client computer naming format or click Customize to create a client computer naming format.
  6. Click one of the following options to determine where the client computer account is created:
    • Default directory service location
    • Same location as that of the user setting up the client computer
    • The following directory service location
  7. If you chose the last option, click Browse and specify where to create the computer accounts.

Important

  • If the network has multiple remote installation servers, each server must be configured to respond to client computers in the same manner.

Notes

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  • If a user is setting up the client computer, he or she needs to have the appropriate permissions to create the computer account within the domain or organizational unit chosen.

Related Topics


Manage client installation images

To manage client installation images

  1. Open Active Directory Users and Computers.
  2. In the console tree, right-click the applicable remote installation server.

    Where?

    • Active Directory Users and Computers
    • Applicable domain
    • Applicable organizational unit (such as Computers or Domain Controllers)
    • Applicable remote installation server
  3. Click Properties.
  4. In the Properties dialog box, click the Remote Install tab, and then click Advanced Settings.
  5. In the Remote Installation Services Properties dialog box, click the Images tab.
  6. In the Images dialog box, click the installation image or unattended setup answer file.
  7. Click one of the following options:
    • Add
    • Remove
    • Properties
    • Refresh

Note

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.

Related Topics


Manage troubleshooting tools

To manage troubleshooting tools

  1. Open Active Directory Users and Computers.
  2. In the console tree, right-click the applicable remote installation server.

    Where?

    • Active Directory Users and Computers
    • Applicable domain
    • Applicable organizational unit (such as Computers or Domain Controllers)
    • Applicable remote installation server
  3. Click Properties, and then in the Properties dialog box, click the Remote Install tab.
  4. Click Advanced Settings, and then click the Tools tab.
  5. In the Tools dialog box, click Tool.
  6. Click one of the following options:
    • Remove
    • Properties
    • Refresh

Notes

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  • Remote Installation Services cannot add tools to this list.

Related Topics


Manage server options

  • Create a remote installation preparation wizard image
  • Create a remote boot disk
  • Verify the Remote Installation Services configuration


Create a Remote Installation Preparation wizard image

To create a Remote Installation Preparation wizard image

  1. Use Remote Installation Services to install the operating system on the client computer you want to use to create the installation image. For more information, see Related Topics.
  2. Install any additional applications and modify the local configuration settings of the source client computer.
  3. Click Start, and then click Run.
  4. Type the Universal Naming Convention (UNC) path of the RIPrep utility, and then click OK.
    Example:
    \\Server_name\Share_name\REMINST\Admin\I386\RIPrep.exe
  5. Read the information in the Remote Installation Preparation wizard (RIPW) Welcome screen and then click Next.
  6. Type the server name this image will be copied to, and then click Next. By default this is the current Remote Installation Services server that you are running the wizard from.
  7. Type the folder name on the Remote Installation Services server to which this installation image will be copied, and then click Next.
  8. Type the friendly description and the Help text, and then click Next. This is used in the Client Installation wizard during the request for network services by the remote install clients.
  9. It is recommended that you stop all programs or services on the source computer before proceeding. Review the list of programs or services that are currently running on the source computer, close any running applications, and then click Next.
  10. Review the settings summary, and then click Next.
  11. Review the information from Completing the Remote Installation Preparation wizard and click Next to replicate the source computer installation image onto the Remote Installation Services server.

Notes

  • This procedure requires you to have Administrator privileges.
  • The source computer shuts down when the image replication process is complete.
  • The abbreviated Setup program automatically runs when you restart the source computer; complete the setup process to use this client computer to create another installation image.
  • You can create additional installation images by rerunning the RIPW utility.

Related Topics


Create a remote boot disk

To create a remote boot disk

  1. Click Start, and then click Run.
  2. Type the UNC path of the Rbfg.exe utility, and then click OK. Example:
    \\servername\REMINST\Admin\I386\RBFG.exe
  3. Insert a formatted disk into the disk drive.
  4. Click the Destination drive option, and then click Create Disk.
  5. Click Close when the disk is ready, and then remove the disk from the disk drive.

Note

  • You can use the boot disk only with computers that contain supported PCI-based network adapters. To view the list of supported network adapters, start the Rbfg.exe utility and then click Adapter List.

Related Topics


Verify the Remote Installation Services configuration

To verify the Remote Installation Services configuration

  1. Open Active Directory Users and Computers.
  2. In the console tree, click the folder that contains the computer whose configuration you want to verify, such as Computers or Domain Controllers.

    Where?

    • Active Directory Users and Computers
    • Applicable domain
    • Applicable container
  3. In the details pane, right-click the applicable remote installation server and then click Properties.
  4. Click the Remote Install tab, and then click Verify Server.

Notes

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  • This procedure requires you to have Administrator privileges.
  • The Verify Server command is available only on the console of the server you want to verify.
  • If you are verifying the server configuration because you need to restore a Remote Installation Services volume from backup, you must verify the server configuration before you restore the volume.

Related Topics


Manage client installation images

  • Add a new client operating system installation image
  • Associate unattended setup answer files


Add a new client operating system installation image

To add a new client operating system installation image

  1. Open Active Directory Users and Computers.
  2. In the console tree, right-click the applicable remote installation server.

    Where?

    • Active Directory Users and Computers
    • Applicable domain
    • Applicable organizational unit (such as Computers or Domain Controllers)
    • Applicable remote installation server
  3. Click Properties, and then, in the Properties dialog box, click the Remote Install tab.
  4. Click Advanced Settings, and then click the Images tab.
  5. Click Add to start the Add wizard.
  6. Click Add a new installation image, and then click Next to start the Remote Installation Setup wizard.
  7. Click Next, and then type the location of the Windows 2000 Professional installation files. The location can be either a compact disc or network share.
  8. Enter the friendly description and Help text, and then click Next.
  9. Review the installation summary, and then click Finish.

Notes

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  • This process requires Administrator privileges.
  • The Remote Installation Services server volume must be formatted with the NTFS file system. The drive should be dedicated only to Remote Installation Services and contain enough free space to store as many client installation images as you plan to host with this server. The minimum should be a 4-gigabyte drive or partition.
  • Remote Installation Services currently does not support the Encrypting File System (EFS), or the Distributed file system (Dfs).
  • The Remote Installation Services server volume cannot be the system volume.
  • Windows 2000 Professional is currently the only installation option supported by Remote Installation Services.

Related Topics


Associate unattended setup answer files

To associate unattended setup answer files

  1. Open Active Directory Users and Computers.
  2. In the console tree, right-click the applicable remote installation server.

    Where?

    • Active Directory Users and Computers
    • Applicable domain
    • Applicable organizational unit (such as Computers or Domain Controllers)
    • Applicable remote installation server
  3. Click Properties, and then in the Properties dialog box, click the Remote Install tab.
  4. Click Advanced Settings, and then click the Images tab.
  5. Click Add to start the Add wizard.
  6. Click Associate a new answer file to an existing image, and then click Next.
  7. Click one of the following options:
    • Windows image sample files
    • Another remote installation server
    • An alternate location
  8. Select the installation image the answer file will be associated with, and then click Next.
  9. Enter the friendly description and Help text, and then click Next.
  10. Review the settings summary, and then click Finish to complete the wizard process.

Notes

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  • You need Administrator privileges to run the Add wizard.

Related Topics


Manage client computers

  • Prestage client computers
  • Remove existing client computers
  • Find client computers
  • Locate the GUID for client computers
  • Invoke a network service boot


Prestage client computers

To prestage client computers

  1. Open Active Directory Users and Computers.
  2. In the console tree, right-click the applicable organizational unit that will contain the new client computer.

    Where?

    • Active Directory Users and Computers
    • Applicable domain
    • Applicable organizational unit
  3. Click New, and then click Computer.
  4. Type the client computer name, click Next, and then click This is a managed computer.
  5. Type the client computer GUID into the text entry field, and then click Next.
  6. Click one of the following options to determine which server will support this client computer:
    • Any available remote installation server. Selecting this option indicates this client computer can be serviced by any Remote Installation Services server.
    • The following remote installation server. Selecting this option designates a specific server.

Notes

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  • Make sure you have the client computer unique identifier (GUID) before proceeding.
  • You can predetermine how a specific client computer network account is identified by prestaging the client computer account object within Active Directory. This information is used to identify and route the client computers during the network service boot request.
  • Make sure you set the appropriate access permissions for users of the prestaged client computer. For more information on setting permissions, see Related Topics.
  • When prestaging a client computer into a domain with multiple domain controllers, the replication delay of the client computer account (CAO) information can cause a client computer to be serviced by another Remote Installation server. For more information on controlling information replication, see Related Topics.

Related Topics


Remove existing client computers

To remove existing client computers

  1. Open Active Directory Users and Computers.
  2. In the console tree, right-click the applicable client computer account.

    Where?

    • Active Directory Users and Computers
    • applicable domain
    • applicable organizational unit (such as Computers or Domain Controllers)
    • applicable client computer account
  3. Click Delete.

Note

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.

Related Topics


Find client computers

To find client computers

  1. Open Active Directory Users and Computers.
  2. In the console tree, right-click the applicable remote installation server.

    Where?

    • Active Directory Users and Computers
    • Applicable domain
    • Applicable organizational unit (such as Computers or Domain Controllers)
    • Applicable remote installation server
  3. Click Properties, and then in the Properties dialog box, click the Remote Install tab.
  4. In the Remote Install dialog box, click Show Clients.
  5. Enter the client computer Globally Unique Identifier (GUID), and then click Find Now.

Notes

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  • The Show Clients feature searches for all client computers that are prestaged for this Remote Installation Services server.
  • When using the Show Clients feature in multiple Remote Installation Services server environments, the search result might contain client computers from multiple servers. For example, if you have multiple servers with computer names such as RISsvr1, RISsvr10, and RISsvr100, the search returns client computers from each of the servers that begin with the same computer name.
  • You can limit the client computer search to a specific server by entering its name in the RI server field.

Related Topics


Locate the GUID for client computers

To locate the GUID for client computers

  • The computer's globally unique identifier (GUID) appears in the following areas:
    • A label on the side of the computer case.
    • A label within the computer case.
    • The basic input/output system (BIOS) of the client computer.

Notes

  • The computer's GUID is supplied by the manufacturer.
  • The GUID must be in the form {dddddddd-dddd-dddd-dddd-dddddddddddd}, where d is a hexadecimal text digit.

    For example: 8 hexadecimal text digits, followed by 4, then 4, then 4, then 12, such as the following:

    {921FB974-ED42-11BE-BACD-00AA0057B223}

  • Valid entries for the client GUID are restricted to the following:

    0 1 2 3 4 5 6 7 8 9 a b c d e f – A B C D E F

  • The dashes are optional and spaces are ignored.
  • The GUID can also be entered in the wire format. In this format, the initial 16 characters of the GUID are transposed. For example, if you entered the following GUID in wire format as follows:
    0123456789ABCDEF0123456789ABCDEF
    the display would be as follows:

    GUID in wire format:
    01234567 89AB CDEF 0123456789ABCDEF
    GUID in display format:
    {67452301-AB89-EFCD-0123-456789ABCDEF}

Related Topics


Invoke a network service boot

To invoke a network service boot

  1. After the Client Installation wizard starts, press ENTER to continue the process.
  2. Enter the user name, password, and domain name into the appropriate fields, using TAB to move between the fields.
  3. The Client Installation wizard offers the following options:
    • Automatic Setup. Use this option if you want most installation options to be configured by the administrator. The user is not offered Client Installation wizard choices.
    • Custom Setup. Use this option to provide the ability to define a unique name for this computer and specify where the computer account will be created within Active Directory.
    • Restart a previous Setup attempt. This option restarts an operating system installation attempt if it fails prior to completion.
    • Maintenance and Troubleshooting. This option provides the ability to access tools from the Client Installation wizard.

Notes

  • Make sure you have a valid user name, password, and domain name before initiating a network service boot request.
  • To invoke a network service boot on client computers that are not remote boot–enabled, insert the boot disk into the disk drive and start the client computer.
  • The client computer's BIOS must be configured to use the network adapter as its primary boot device.
  • When running the Client Installation wizard, use only standard ASCII characters (OEM characters 32–127) for user name, password, or domain name information. The Client Installation wizard does not support extended ASCII character sets (such as those containing ü, é, and other extended characters).

Related Topics


Manage security

  • Set permissions for prestaged computer accounts
  • Set permissions for user-created computer accounts
  • Allow computers created in the Computers container to join the domain
  • Allow computers created in organizational units to join the domain
  • Set Group Policy for client installation options


Set permissions for prestaged computer accounts

To set permissions for prestaged computer accounts

  1. Open Active Directory Users and Computers.
  2. In the console tree, right-click the applicable client computer account.

    Where?

    • Active Directory Users and Computers
    • Applicable domain
    • Applicable organizational unit (such as Computers or Domain Controllers)
    • Applicable client computer account
  3. Click Properties.
  4. In the Properties dialog box, click the Security tab and then click Add.
  5. Select the user or group from the list, click Add, and then click OK.
  6. Click the user or group you have added.
  7. In Permissions, click Read, Write, Reset password, and Change password permissions, and then click OK.

Notes

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  • To view this option you must enable the Users, Groups and Computers as Containers and Advanced Features from the View menu of the Active Directory Users and Computers console.
  • If a group is allowed to have these permissions, remember to add users to that group.
  • For client computer accounts that are prestaged in another Active Directory folder location, expand the Active Directory Users and Computer console and select the appropriate client computer account.

Related Topics


Set permissions for user-created computer accounts

To set permissions for user-created computer accounts

  1. Open Active Directory Users and Computers.
  2. In the console tree, right-click the applicable domain.

    Where?

    • Active Directory Users and Computers
    • Applicable domain
  3. Click Delegate control.
  4. In the Delegation of Control wizard, click Next.
  5. In the Delegation of Control dialog box, type your domain information, and then click Next.
  6. In the Group or User Selection dialog box, click Add.
  7. In the Select Users, Computers or Groups dialog box, click the user account or security group (preferred) containing the users you are setting permissions for, click Add, click OK, and then click Next.
  8. In the Predefined delegations dialog box, click Join a computer to the domain, and then click Next.
  9. Review the delegation of control summary information, and then click Finish.

Notes

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  • If a group is allowed to have these permissions, you need to add users to that group.

Related Topics


Allow computers created in the Computers container to join the domain

To allow computers created in the Computers container to join the domain

  1. Open Active Directory Users and Computers.
  2. In the console tree, right-click the applicable domain.

    Where?

    • Active Directory Users and Computers
    • Applicable domain
  3. Click Delegate control.
  4. In the Delegation of Control wizard, click Next.
  5. In the Delegation of Control dialog box, type your domain information, and then click Next.
  6. In the Group or User Selection dialog box, click Add.
  7. In the Select Users, Computers or Groups dialog box, click the User account or the Security Group (preferred) containing the users that will be joining client computers to the domain, click Add, click OK, and then click Next.
  8. In the Predefined delegations dialog box, click Join a computer to the domain, and then click Next.
  9. Review the delegation of control summary information, and then click Finish.

Note

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.

Related Topics


Allow computers created in organizational units to join the domain

To allow computers created in organizational units to join the domain

  1. Open Active Directory Users and Computers.
  2. In the console tree, right-click the applicable organizational unit.

    Where?

    • Active Directory Users and Computers
    • Applicable domain
    • Applicable organizational unit
  3. Click Properties, and then click the Group Policy tab.
  4. Click the Group Policy object in the Group Policy dialog box, and then click Edit to start Group Policy.
  5. Click Computer Configuration, click Windows Settings, click Security Settings, click Local policies, and then click User Rights Assignment.
  6. Double-click Add workstations to domain.
  7. Select the User account or Security Group (preferred) containing the users who will be joining client computers to the domain, click Add, and then click OK.
  8. Close Group Policy, and then, in the Group Policy dialog box, click OK.

Notes

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  • Security settings that have been set on a domain controller through Group Policy within the Active Directory Users and Computers console do not take affect for the user or group accounts defined for up to 8 hours.

Related Topics


Set Group Policy for client installation options

To set Group Policy for client installation options

  1. Open Active Directory Users and Computers.
  2. In the console tree, right-click the applicable organizational unit.

    Where?

    • Active Directory Users and Computers
    • Applicable domain
    • Applicable organizational unit (such as Computers or Domain Controllers)
  3. Click Properties, and then click the Group Policy tab.
  4. Click the Group Policy object in the Group Policy dialog box, and then click Edit to start Group Policy.
  5. Click User Configuration, click Windows Settings, and then click Remote Installation Services.
  6. Double-click the Choice Options object, and then click the following Client Installation wizard choices:
    • Automatic Setup. Use this option if you want most installation options to be configured by the administrator. The user is not offered Client Installation wizard choices.
    • Custom Setup. Use this option to provide the ability to define a unique name for this computer and specify where the computer account will be created within Active Directory.
    • Restart a previous Setup attempt. This option restarts an operating system installation attempt if it fails prior to completion.
    • Tools. This option provides the ability to access tools from the Client Installation wizard.
  7. Click one of the following Group Policy options for each of the Client Installation wizard choices selected in the previous step:
    • Allow. Use this option if you want to offer the installation option to users that this policy applies to.
    • Don't care. Use this policy to accept the policy settings of the parent container. For example, if the administrator for the entire domain has set Group Policy that is specific to Remote Installation Service, and the administrator of this container has chosen the Don't care option, the policy that is set on the domain is applied to all users that are affected by that policy.
    • Deny. If this option is set for a specific installation option, the users that are affected by this policy cannot access that installation option within the Client Installation wizard.
  8. Close Group Policy, and then, in the Group Policy dialog box, click OK.

Notes

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  • The Don't care installation choice is the default setting.
  • Automatic Setup is the default display option for users of client computers during the Client Installation wizard process.
  • Security settings that have been set on a domain controller through Group Policy within the Active Directory Users and Computers console do not take effect for the user or group accounts defined for up to 8 hours.

Related Topics


Concepts

This section provides general background information on Remote Installation Services:

  • Remote Installation Services overview
  • Understanding Remote Installation Services
  • Using Remote Installation Services
  • Resources


Remote Installation Services overview

Using Remote Installation Services, you can set up new client computers remotely without the need to physically visit each client machine. Specifically, you can install operating systems on remote boot–enabled client computers by connecting the computer to the network, starting the client computer, and logging on with a valid user account.

Remote Installation Services and IntelliMirror are new change and configuration management features included in Windows 2000 Server. By combining Remote Installation Services with other IntelliMirror features—user documents and settings, Software Installation, and Group Policy—organizations benefit from improved disaster recovery with easier operating system and application management, resulting in a reduction of technical support service calls. For more information, see IntelliMirror.


Understanding Remote Installation Services

This section covers:

  • Related components
  • Remote Installation Services architecture


Related components

Using Remote Installation Services requires several components that ship as part of the Windows 2000 Server operating system. The following services can be installed either on individual servers or on the same server. They must be active and available:

  • Domain Name System (DNS Service)
  • Dynamic Host Configuration Protocol (DHCP)
  • Active Directory

Remote Installation client computers connect to the Remote Installation server through the network and identify themselves by their unique machine identifier (GUID/UUID). This machine identifier, which is provided by the computer manufacturer, gives each computer a unique identity. To find a computer's machine identifier, see To locate the GUID for client computers.

When Remote Installation Services detects the client computer's request for service, it responds in one of the following two ways, according to how you have set up your network:

  • The service recognizes the client computer from its machine identifier and responds with the available installation choices.
  • The server answers all network services requests from client computers.

For more information on setting how Remote Installation Services responds to requests, see Responding to client service requests.


Remote Installation Services architecture

This section covers:

  • Related technologies and services
  • PXE architecture
  • Remote Installation Services directory service planning
  • Remote Installation Services system requirements
  • Remote Installation Services boot disk
  • Network service boot
  • Creating an installation image


Related technologies and services

The Remote Installation Service environment consists of several technologies and services within a network containing an existing Dynamic Host Configuration Protocol (DHCP), Domain Name System (DNS), and Active Directory.

You use the Pre-Boot eXecution Environment (PXE) DHCP–based remote boot technology to install the operating system on the client computer from a remote source. The remote source—the Remote Installation Services server—contains the operating system image to be installed in either compact disc (CD) or Remote Installation Preparation wizard (RIPrep) image format. The CD-based option is similar to setting up a client directly from the Windows 2000 Professional CD, except that the source files reside on an available Remote Installation Services server. You use the RIPrep option if you want to install and configure a client computer to comply with specific corporate desktop standards that are unique to the organization. For more information, see Creating an installation image.

The client computer's request for a network service boot can be initiated by either the system BIOS or by a special remote boot disk provided for pre–Net PC/PC98 client computers. For more information, see Remote Installation Services boot disk. When a network service boot is requested, the client computer receives an IP address by way of DHCP. Remote Installation Services responds to the boot request and downloads the Client Installation wizard. After the user is prompted to log on, a menu offers the installation options customized specifically for the user, subject to Group Policy settings.

Remote Installation Services server
A Remote Installation Services server contains the following components:
  • Client Installation wizard. Steps the user through the available installation choices for client computers. For more information on this component, see Client Installation wizard.
  • Remote Installation Preparation wizard. Provides the combined ability to prepare an existing Windows 2000 Professional installation—including locally installed applications and specific configuration settings—and replicate that image to an available Remote Installation Services server on the network.
  • Remote boot disk. Enables client computers that do not have a PXE remote boot–enabled network adaptor to request network services from the server. For more information, see Remote Installation Services boot disk.
  • Remote Installation Services administration. Provides the ability to configure the Remote Installation Services server by using a set of property pages.

When Remote Installation Services is enabled, the following services are automatically added to the server:

Boot Information Negotiations Layer (BINL):
This service listens for client network service requests and provides overall management of the Remote Installation Services environment. The BINL service makes sure the client is passed the correct files and, in the case of a prestaged client, makes sure it is serviced by the correct Remote Installation Services server. If the client computer has not been prestaged, BINL creates the client computer account object within Active Directory.
Trivial File Transfer Protocol Daemon (TFTPD):
Remote Installation Services server uses this service to download the initial files needed to begin the remote installation process. The most common file downloaded to the client using TFTPD is Startrom.com, which is responsible for bootstrapping the Windows 2000 client computer. If the client is new, OSChooser is downloaded to begin the remote installation process.
Single Instance Store (SIS):
Single Instance Store is the method used to reduce the overall storage required on the Remote Installation Services volume. The SIS drivers contain a groveler agent that scans the Remote Installation Services volume for duplicate files. If it finds duplicate files, the SIS groveler copies the original file into the SIS store and leaves a link file in its place. The link file contains information about the original file, such as its current location (SIS store), size, and attributes. If a new Remote Installation Preparation image contains duplicate files, all duplicates are copied into the store to reduce the amount of disk space on the Remote Installation Service server.

Note

  • Installation images that are stored in locations other than \\server name\reminst\Setup\language
    \Images     and referenced through junction points are not acted on by the SIS groveler agent. These installation images must be installed on a drive that is formatted with the NTFS file system.


PXE architecture

Remote Installation Services uses the Dynamic Host Configuration Protocol (DHCP) following the Pre-Boot eXecution Environment (PXE) architecture for bootstrapping a client computer. When a new PXE remote boot–enabled client computer starts for the first time, the client requests an Internet protocol (IP) address and the IP address of an active Remote Installation Services server by way of the DHCP protocol. As part of the initial request, the client computer sends out its globally unique identifier (GUID), which is used to uniquely identify the client computer within Active Directory.

The client computer receives an IP address along with the IP address of the boot server that will service the client. The client is then passed the name of a boot image that the client requests when contacting the boot server for initial service. In the case of Windows 2000 Server, after the client request is made, the first Remote Installation Services server to respond checks the directory service to determine if the client has been prestaged. Remote Installation Services does this by checking within Active Directory for a computer account object (CAO) that has the unique GUID that was passed by the client in the initial Remote Installation Services request. If a computer account with that GUID does not exist, the server provides the client computer with the Client Installation wizard, which requests that the user log on to the network.


Remote Installation Services directory service planning

The Remote Installation Services environment relies on a well-designed and well-planned Active Directory architecture. Normally, determining the physical location of a server can be a challenge, especially when you have to configure several servers located in different offices, floors, or buildings. In a given domain, Active Directory provides organizational units or containers, which you can use to organize users and resources into logical administrative groups.

The Remote Installation Service server computer object is located in the domain controllers folder if this server is a domain controller. From this one location, an administrator can manage individual remote installation servers with regard to client computer servicing, server verification, locating client computers, and determining the operating system installation options.

Note

  • The computer account object is located in the Computers container when the Remote Installation Services server is a member server of a domain.


Remote Installation Services system requirements

This section describes the system requirements for Remote Installation Services servers, client computers, and network adapters.

Server hardware requirements

  • Personal computer with Pentium or Pentium II 200 MHz or faster processor (Pentium 166 minimum).
  • 256 megabytes (MB) of RAM recommended minimum (128 MB minimum supported; 4 gigabytes (GB) maximum).
  • 2-gigabyte (GB) disk drive for Remote Installation Services servers folder tree.
  • 10 or 100 MB/sec network adapter (100 MB/sec recommended).
  • CD-ROM drive.

Client computer hardware requirements

  • Pentium 166 MHz or faster Net PC client computer.
  • 32 MB of RAM minimum; 64 MB recommended.
  • One 800-MB disk drive.
  • PXE DHCP–based boot ROM version .99c or greater.

Supported client network cards

For a list of which network adapters are supported by Remote Installation Services, run the Rbfg.exe utility and review the list of supported network adapters. For more information, see To create a remote boot disk.

Notes

  • Be aware that Remote Installation Services will require a significant amount of disk space. You should dedicate an entire hard drive partition to the Remote Installation Services folder tree.
  • Remote Installation Services cannot be installed on the same drive as the system volume.
  • The volume you choose to install Remote Installation Services onto must be formatted with the NTFS file system.
  • Remote Installation Services does not support the Encrypting File System (EFS) or the distributed file system (Dfs).
  • The Windows 2000 Hardware Compatibility List (HCL) is a compilation of systems and hardware that has been extensively tested with Windows 2000 for stability and compatibility. It is the guide used by Microsoft Product Support Services to determine whether a given system is supported for use with Windows 2000.
  • Up-to-date versions of the HCL are available on the World Wide Web at the Microsoft Web site.(http://www.microsoft.com/)


Remote Installation Services boot disk

You use the Remote Installation Services boot disk with client computers that do not contain a remote boot–enabled ROM. The boot disk simulates the PXE boot process for machines lacking a formal remote boot ROM. For more information on the PXE boot process, see PXE architecture.

The boot disk is analogous to a boot ROM, which uses the floppy drive to install the operating system from the remote installation server. The remote boot disk–generating utility (Rbfg.exe) included with Windows 2000 Server is located in the following folder:
\\Server name\Share name\REMINST\Admin\I386\Rbfg.exe

You insert the remote boot disk into the client computer during the startup process. The client computer must have a supported network adapter. To find out which network adapters Remote Installation Services supports, use the boot disk–generating utility. For more information, see To create a remote boot disk.

You also use a remote boot disk to initiate a network service boot. For information on how to do this, see To invoke a network service boot.


Network service boot

A network service boot can be initiated by either the user of a PXE remote boot–enabled client computer or by a special remote boot disk provided for pre–Net PC/PC98 computers. To invoke the network service boot request, the user presses F12 when prompted during the client computer startup sequence. When a network service boot is requested, the client computer receives an IP address by way of DHCP server and downloads the Client Installation wizard. For more information, see PXE architecture.

The user is prompted for user name, password, and domain name during the initial phase of the Client Installation wizard process. Remote Installation Services uses Group Policy within Active Directory and determines which installation options are appropriate for the user. The user is then offered a list of operating system installation choices that is based on the user's credentials or security group membership.


Creating an installation image

You use the Remote Installation Preparation wizard to prepare an existing Windows 2000 Professional installation and to replicate that image to an available Remote Installation Services server on the network.

The image conversion process consists of the following steps:

  1. You use Remote Installation Services to remotely install the base Windows 2000 Professional operating system.
  2. You install client computer applications that do not adhere to the Windows Installer technology.
  3. You configure the source computer to conform to any company desktop standards required. For example, you might want to define specific screen colors, set the background bitmap to a company-based logo, remove any games installed by the base operating system, and configure Internet Explorer proxy settings.
  4. You close all applications and run the Remote Installation Preparation wizard. For more information, see To create a Remote Installation Preparation wizard image.
  5. The wizard configures the source computer to a generic state, removing anything that is unique to the client installation, such as the computer's unique security ID (SID), computer name, and any registry settings unique to the client source computer.
  6. The wizard prompts you for the installation information required by the image conversion process. This information includes the location where the client installation image should be replicated, the name of the directory it should be copied to on the server, and a friendly description and associated Help text describing the installation image to users running the Client Installation wizard.
  7. After the replication is complete, the installation image is automatically added to the list of available operating system installation options and is available to client computers that use the remote boot technology.

One important feature of the Remote Installation Preparation wizard process is that a remote boot–enabled client computer does not need to contain hardware identical to that of the source computer used to create the installation image. The Remote Installation Preparation wizard uses the Plug and Play feature of Windows 2000 to detect any differences between the source and destination computer's hardware during the image installation process.

Notes

  • This procedure requires you to have Administrator privileges.
  • The length of the friendly description and Help text for each installation image limits the number of installation image choices for a client computer. The typical number of installation image choices for client computers is generally between 12 and 20.
  • You can control the installation choices for client computers by setting the access control permissions for the installation image .sif files. For more information, see To set, view, change, or remove file and folder permissions.
  • Windows 2000 Professional is the only supported operating system installation image that can be replicated. The Remote Installation Preparation wizard currently supports replication of a single disk and single boot partition of a Windows 2000 Professional installation to a single remote installation server. This requires the Windows 2000 Professional operating system and all of the applications that make up the standard installation image to reside on a single partition of the source client computer.
  • The wizard allows source image replication only to available remote installation servers. Currently, source replication to alternate drives or media types is not supported.
  • Replication of encrypted files is not supported.
  • The destination computer's disk capacity must be equal to or larger than that of the source computer.
  • Disk preparation of the destination computer is identical to that of the source computer, and any remaining disk capacity on the destination computer will be formatted. For example, if the source computer's disk capacity is 1 gigabyte (GB) and the disk capacity of the destination computer is 2 GB, the entire 2 GB will be formatted on the destination computer.
  • Changes made in the source computer's registry before running the Remote Installation Preparation wizard are not maintained in the installation image.
  • The RIprep installation image maintains the volume and partition characteristics of the source computer File Allocation Table (FAT). For example, if you create an installation image from a source computer with a 2-GB FAT volume and then install the image on a client computer with a 4-GB drive, the resulting installation will format the drive as a 4-GB volume with a FAT32 partition. The change in the destination computer file system type is caused by the limits of the FAT file system. For more file system information, see Windows file systems.
  • By changing the information in the .sif file associated with an installation image, you can restrict the disk reformatting to be the same as what the source computer used to create the installation image. For example, open the Ristndrd.sif file located in the \\REMINST\Setup\Applicable language\Images\Applicable image name\I386\Templates\Ristndrd.sif folder and modify the UseWholeDisk parameter to equal NO. When a client computer installs this image, the disk will be formatted to match the capacity of the source computer and the balance of the destination computer's disk will be unformatted.
  • When you use the Remote Installation Preparation wizard (RIPW) to create an installation image of a client computer that was originally installed using a retail version of Windows 2000 Professional, the Remote Installation Services (RIS) unattended setup answer file (SIF) will need to be modified to include the product identification number (PID). The PID is the unique identification number specific to each copy of Windows 2000.

    • If the PID is not entered in the .sif file, the installation process will stop and prompt the user for the product identifier information during the installation of that RIPrep image. You can avoid prompting your users for the PID by adding the product identifier to the [UserData] section of the .sif file associated with this installation image. For example, type the following (including the dashes and quotation marks) into the [UserData] section of the .sif file:

    ProductID = "xxxxx-xxx-xxxxxxx-xxxxx"

    Each copy of the Windows 2000 Professional product contains a unique product identification number (PID). The PID is used to uniquely identify the operating system installation and track the number of copies installed throughout the organization. Depending on the type of product (Retail, Select, or OEM), a different type of user experience might be encountered when installing a Remote Installation Preparation wizard (RIPW) installation image from a remote installation server.

    • Installation image created from the Retail CD. Modify the RIPrep.sif file to avoid the client installation process from stopping and prompting the user for the product identifier when the operating system is installed on the source computer using the retail version of the Windows 2000 Professional CD. Enter a valid PID for Windows 2000 Professional in the [UserData] section of RIPrep.sif located at \\REMINST\Setup\applicable_language\Images\applicable_image_name\I386\Templates\Riprep.sif. The PID for each client installation is randomly generated using the PID entered in the RIPrep.sif file.
    • Installation image created from the Select or OEM CD. When the source computer operating system is installed from the Select or OEM version of the Windows 2000 Professional CD, the PID does not need to be modified in the .sif file.
  • Modifications to replicated installation images are not supported.
  • This source computer will shut down when the image replication process is complete.
  • The abbreviated Setup program automatically runs when the source computer is restarted. You must complete the setup process to use this client computer to create another installation image.
  • All copies of Microsoft software made or installed using Remote Installation Services must be properly licensed. All copies of other software made or installed using Remote Installation Services must be properly licensed, and it is the licensee's obligation to ensure that it is licensed to make any such copies.


Using Remote Installation Services

This section covers:

  • Remote Installation Services server authorization
  • Required permissions
  • Running the setup wizard
  • Remote Installation Services administration
  • Client computers
  • Advanced configuration settings
  • The remote installation process


Remote Installation Services server authorization

This feature prevents unauthorized Remote Installation Service servers from being added to a network where Windows 2000 and Active Directory are in use.

Remote installation server authorization is performed by using the DHCP server management console. This console is used to authorize both the DHCP and RIS servers to provide services on the network. For more information, see To authorize a DHCP server in Active Directory.

When a remote installation server attempts to start on the network, Active Directory is queried and the server computer's name or IP address is compared to the list of authorized remote installation servers. If a match is found, the remote installation server is authorized and can start on the network. If a match is not found, the server is not authorized. In this case, Remote Installation Services will not answer.


Required permissions

To create new computer accounts in Active Directory, users need to have permissions and rights assigned to them, as described in To set permissions for user-created computer accounts.

To join new computer accounts to the domain, users need to have permissions and rights assigned to them, as described in To allow computers created in the Computers container to join the domain.

Note

  • The administrator must determine which users will be creating new client computer accounts and modify the users' rights and privileges accordingly.


Running the setup wizard

Before running the Remote Installation Services setup wizard, make sure you have Administrator privileges and have completed all prerequisite steps outlined in Checklist: Installing Remote Installation Services.

When Remote Installation Services is selected as an optional component during the Windows 2000 Server installation process, the setup wizard guides you through the necessary steps of installation and configuration.

The setup wizard process provides the following options:

  • Respond to all clients requesting service. Select this option if you want the server to respond to all clients requesting service and provide them with operating system installation options. If this option is not selected, this remote installation server will not respond to clients requesting service.
  • Do not respond to unknown clients computers. This option determines whether this server responds to unknown client computers requesting a remote installation server. A client computer is known if the client computer has an existing computer account object (CAO) created within Active Directory. Select this option if you want services offered only to authorized client computers. Client computers are considered authorized when there is an existing computer account within Active Directory.
  • You are prompted for the location of the Windows 2000 Professional installation files. This can be either the Windows 2000 Professional compact disc or a network location that contains the installation files.
  • You are prompted for a directory name to which the Windows 2000 Professional installation files should be copied in the remote installation server. You should name the directory something that represents the operating system you are copying—for example, Win2000.pro.
  • You are prompted for a friendly description and Help text describing this operating system installation image. The friendly description and Help text will be displayed to users within the client installation process on a remote boot–enabled client computer. Enter a description that describes the operating system installation choice—for example, if this operating system is for the sales staff, then a friendly description might be Windows 2000 Professional for Sales Staff. The Help text will be displayed when the user selects the friendly description within the Client Installation wizard.
  • The setup wizard displays the summary information of the setup process. To change any of this information, click Back.

Note

  • You can also install Remote Installation Services after the initial Windows 2000 Server installation by using the Add/Remove Programs utility. Open Add/Remove Programs.


Remote Installation Services administration

This section covers:

  • Remote Installation Services administration overview
  • Responding to client service requests


Remote Installation Services administration overview

You administer Remote Installation Services using property pages that reside on specific objects within Active Directory.

To access the property pages, right-click the server object you want to administrate, and then, from the context menu, click Properties. For more information on configuring Remote Installation Services, see To configure Remote Installation Services.

You can set the following options from the Remote Installation Services property page:

Client servicing

You can either specify that servers respond to all clients requesting service or that they respond only to known clients. For more information, see Responding to client service requests.

Verify Server

If you select this option, you can check the integrity of the Remote Installation Services–enabled server.

Select this option if you suspect that the server is failing or if you are currently seeing inconsistent behavior, or if you need to restore a Remote Installation Services volume from backup. This brings up a wizard that checks whether all of the settings, services, and configuration options are correctly set and functioning.

For more information, see To Verify the Remote Installation Services configuration.

Important

  • If you are verifying the server configuration because you need to restore a Remote Installation Services volume from backup, you must verify the server configuration before you restore the volume.

Note

  • Before you select this option, make sure you have the Windows 2000 Server and Windows 2000 Professional installation compact discs available. You might be prompted for them during the Verify Server procedure.
Show Clients

If you select this option, you can search for Remote Installation Services clients within Active Directory.

Selecting this option displays a list of client computers—sorted by their unique Globally Unique Identifier (GUID)—that this server has serviced. The list also includes client computers that have been prestaged to this server for operating system installation.

For more information, see Client computers.

Advanced Settings

If you select this option, you can control the way a client computer is installed. The advanced setting options include:

  • Automatic client computer account naming format
  • Active Directory location of client computer accounts
  • Manage the installation images and pre–operating system maintenance tools installed on this Remote Install server
    •

For more information, see Advanced configuration settings.


Responding to client service requests

You can determine how the Remote Installation Services server responds to requests for service from client computers.

  • Respond to clients requesting service. If you select this option, Remote Installation Services is enabled and will respond to client computers requesting service.
  • Do not respond to unknown client computers. If you select this option, Remote Installation Services will respond only to known client computers.


Client computers

This section covers:

  • Finding client computers
  • Client computer properties


Finding client computers

Each client computer is identified by its globally unique identifier (GUID). By using the Show Clients feature, you can search Active Directory for Remote Installation Services client computers using their GUID. The Show Clients feature searches for all client computers that are prestaged for this remote installation server. The search process can include the entire Active Directory structure or be limited to a specific domain. The Show Clients search process returns a list of the client computers and displays them by their computer name and GUID. For more information on GUIDs, see To locate the GUID for client computers.

The Show Clients search process uses a wildcard search attribute appended to the current remote installation server computer name. For example, if the remote installation server is named RISsvr1, the Show Clients feature will use RISsvr1* for the server name. When you use the Show Clients feature in multiple remote installation server environments, the search result might contain client computers from multiple servers. For example, if you have multiple remote installation servers with computer names such as RISsvr1, RISsvr10, and RISsvr100, the search will return, from each of the servers, client computers that begin with the same computer name.

You can also search Active Directory for Remote Installation Services client computer accounts by their computer name or their GUID. For more information, see To find client computers.

Note

  • You can limit the client computer search to a specific remote installation server by entering the server name in the RI server field.


Client computer properties

Remote Installation Services uses property pages to contain information relating to Remote Installation Services client computers. To access this information, either click Show Clients on the Remote Installation Services server property page or right-click the client computer objects in the Active Directory Users and Computers console.

Computer's Unique ID: (GUID/UUID) The unique identifier is supplied by the client computer manufacturer.

Notes

  • The GUID/UUID ID must be in the form {dddddddd-dddd-dddd-dddd-dddddddddddd}, where d is a hexadecimal text digit.

    For example: 8 hexadecimal text digits, followed by 4, then 4, then 4, then 12, such as: {67452301-AB89-EFCD-0123-456789ABCDEF}. For more information on using the GUID, see To locate the GUID for client computers.

  • Valid entries for the client GUID are restricted to the following:

0 1 2 3 4 5 6 7 8 9
a b c d e f - A B C D E F
  • The dashes are optional and spaces are ignored.
  • The GUID can also be entered in the wire format. The initial 16 characters of the GUID are transposed when a GUID is entered in this format. For example, if you entered the following GUID in wire format as "0123456789ABCDEF0123456789ABCDEF", the display would be as follows:

    GUID in wire format: 01234567 89AB CDEF 0123456789ABCDEF

    GUID in display format: {67452301-AB89-EFCD-0123-456789ABCDEF}


Advanced configuration settings

This section covers:

  • Advanced settings overview
  • Advanced settings for new clients
  • Advanced settings for installation images
  • Advanced settings for tools
  • Computer names


Advanced settings overview

Remote Installation Services advanced configuration settings determine how the service creates client computer names, manages operating system images, and manages diagnostic tool applications.

To access these settings, see To configure advanced settings.


Advanced settings for new clients

You use the advanced settings of Remote Installation Services to define a policy that provides each remote installation client computer with a name that is unique on the network. For information on how to do this, see Computer names.

You can also determine the default directory service container to store the client computer machine account objects. Using this feature, you can group client computers within a specific Active Directory domain or organizational unit.

Use the Computer account location option if you want to be able to define—prior to actual installation—the default Active Directory container for all remote installation client computer accounts. You can choose one of the following three options:

Default directory service location
Specifies that the client computer account object is created in the Computers container by default during the domain join operation. The client computer becomes a member of the same domain as the remote installation–enabled server installing the client.
Same location as that of the user setting up the client computer
Specifies that the client computer account object is created within the same Active Directory container as the user setting up the computer. For example, if a user logs on whose user account currently resides within the Users container, the client computer account is also created within the Users container.
The following directory location
You can predetermine where client computer account objects are created in Active Directory. This option affects all client computers installed from this server.

Note

  • A user setting up the client computer needs to have the appropriate rights to create computer accounts within Active Directory. For more information, see To set permissions for user-created computer accounts.


Advanced settings for installation images

Using Remote Installation Services, you can manage the operating system installation options for Remote Installation Services users. During the base install of Remote Installation Services, you are prompted to add a default operating system installation image to the remote installation–enabled server. This operating system image installation process copies the Windows 2000 Professional compact disc contents and directory structure to the remote installation–enabled server.

The unattended installation process uses text files—called setup information (.sif) files—to store the configuration settings for the installation image. The information contained in the .sif file is processed each time a client computer chooses the installation image using the Client Installation wizard. By modifying the .sif file for the installation image, you can predetermine the configuration settings for each client installation image. For example, if all of your client computers have the same type of display devices, you can set the screen resolution prior to installation by modifying the [Display] information of the .sif file.

Another example of using a .sif file is changing the way the client computer disk drive is formatted. While the Client Installation wizard is running, the installation image that the user selects is copied to the client computer. The disk preparation of the destination computer is identical to that of the source computer, and any remaining disk capacity on the destination computer is formatted. For example, if the source computer disk capacity is 1 gigabyte (GB) and the disk capacity of the destination computer is 2 GB, the entire 2 GB are formatted on the destination computer.

By changing the information in the .sif file associated with an installation image, you can restrict the disk reformatting to be the same as the source computer used to create the installation image. For example, suppose you open the Ristndrd.sif file and modify the UseWholeDisk parameter to NO. When a client computer installs this image, the disk is formatted to match the capacity of the source computer. The rest of the destination computer's disk remains unformatted.


Advanced settings for tools

You use the tools options for Remote Installation Services if you want independent software vendors (ISVs) or original equipment manufacturers (OEMs) to be able to provide system maintenance and troubleshooting tools to administrators, technical support staff, and users of client computers during the request for network boot services. Because the client computer's hard disk might be empty prior to installing the operating system, these tools can be extremely helpful. The maintenance and troubleshooting tools also give administrators an easy way to update client computer systems—such as the system flash BIOS—before or after the operating system installation.

The Remote Installation Services tools feature has the following options:

Remove
Removes the template setup information file (.sif) associated with the currently selected tool. This file contains the friendly description text, which gives the tool's purpose to users of a remote installation client computer. If you choose this option, the template file is deleted and the tool is not offered to Remote Installation Services clients when they run the Client Installation wizard.
Properties
This option provides access to the selected tool property information. You can change the friendly description text and retrieve specific details about the selected tool.
Refresh
This option refreshes the contents of the display window.

Note

  • You cannot add a tool from the Remote Installation Properties dialog box. ISVs and OEMs provide an external setup program that adds their own tool to the \RemoteInstall directory tree. After the tool is added, it is displayed within the Tools properties tab and is available to administrators and users when running the Client Installation wizard.


Computer names

You use the advanced settings of Remote Installation Services to define the naming policy that provides each client computer with a unique name. This name, which is used to identify the client computer on the network, is similar to the NetBIOS name used in previous versions of Windows and Windows NT.

Use the Automatic computer naming option to make sure each client computer is provided a unique name during the remote installation request. The default format is the user name with an appended incremental number.

You can also create a custom naming policy; to do this, click Customize. You can then select one of the following options to automatically create the computer name:

%First
The user's first name is used as the computer name.
%Username
The user name is used as the computer name.
%#
The name includes an incremental number.
%Last
The user's last name is used as the computer name.
%MAC
The network card media access control address is used as the computer name.

To limit the length of the computer name, add a numerical value to the text string. For example, if the user's last name is Smith and you want to limit the name to three characters (Smi), use the following string:
%3Last

You can combine options. For example, if you want the computer name to consist of the first three letters of the user's first name followed by the first three letters of his or her last name, use the following string:
%3First%3Last%


The remote installation process

This section covers:

  • Client Installation wizard
  • Installation options
  • Supported operating systems
  • Controlling client installations through Group Policy


Client Installation wizard

Users of a remote boot–enabled client computer can use the Client Installation wizard to select installation options, operating systems, and maintenance and troubleshooting tools.

The wizard prompts the user for his or her user name, password, and domain name. After the user's credentials have been validated, the wizard displays the installation options that are available for the user. After the user selects an option, the selected operating system installation image is copied to the client computer's local hard disk. You can predetermine these installation options during the Remote Installation Services setup process, or by running the RIPrep utility. For more information, see Creating an installation image.

Important

  • Because the client computer's hard disk is reformatted during the operating system installation, all locally stored files are removed during installation.

Note

  • When you use the Client Installation wizard, use only standard ASCII characters (OEM characters 32–127) for user name, password, or domain name information. The Client Installation wizard does not support extended ASCII character sets (such as those containing ü, é, and other extended characters).


Installation options

The Client Installation wizard is a text-based setup wizard that guides the user through the remote installation process. You can control which installation options are offered to users by using Group Policy. For more information on doing this, see Controlling client installations through Group Policy.

You can use either automatic setup or custom setup.

Automatic setup

Automatic setup is available by default to users setting up a remote boot–enabled client computer. If you decide to set up multiple operating system choices for the user, the user can choose which installation image is appropriate for his or her needs or role within the company. Windows 2000 Remote Installation Services uses the unattended installation templates so administrators can determine the type of operating system image that the user installs. For more information, see Advanced configuration settings.

By using an unattended installation setup information (.sif) file, you can create several installation options based on one operating system installation image on the Remote Installation Services server. You can also customize which items are installed, as well how specific client computer options are configured during operating system installation. For example, you can create a specific operating system type that installs the TCP/IP protocol, sets the display resolution to 800 x 600, and sets the default company name. You can also provide a friendly description for this operating system type, such as Windows 2000 Professional for Sales Staff. The text for the friendly description can be modified after the initial installation of the client computer operating system. When users log on and choose the automatic setup option, they see a listing of operating system installation types that they can choose from.

Because the installation process reformats the client computer's hard disk drive, the Client Installation wizard warns the user that any previously stored data will be deleted.

You can predefine the computer name and a location within Active Directory for the client computer accounts. For more information, see Advanced configuration settings.

Custom setup

Using this option, you can specify the computer name and Active Directory container for the computer account object during the operating system installation process. You use custom setup when you want to set up a computer for someone else within their organization. Remote Installation Services can be configured to automatically create computer names based on the user logging into the client computer prior to the installation of the operating system.

Restart a Previous Setup Attempt

Restarts a failed operating system installation attempt if the installation procedure fails prior to completion.

Maintenance and Troubleshooting

Provides access to maintenance and troubleshooting tools required to maintain and troubleshoot client computers. Examples include memory virus scanners, system flash BIOS updates, and computer diagnostic utilities.

Notes

  • Windows 2000 Remote Installation Services does not fully support unattended installations on computers that contain ISA devices or those that are not Plug and Play aware.
  • Users that are setting up a remote boot–enabled client computer are not offered installation choices when automatic setup is their only installation option. For more information, see Controlling client installations through Group Policy.
  • The unattended installation setup answer files (.sif) are text files that describe the installation process for an installation image. You associate the .sif file with one of the available installation images. For more information on creating unattended installation setup answer files, see the Windows 2000 Resource Kit.
  • By default, the Client Installation wizard uses the Welcome.osc file located in \RemoteInstall\OSChooser to manage client installation image choices. For multiple language installation image options, you need to remove the Welcome.osc file and rename the Multilng.osc file to Welcome.osc. The Client Installation wizard then offers a menu of multiple language choices to the user. You can also edit Welcome.osc to create custom language options.


Supported operating systems

The Client Installation wizard supports two types of operating system images: compact disc (CD)–based install and the Remote Installation Preparation wizard (RIPrep) image formats. The CD-based option is similar to setting up a client directly from the Windows 2000 Professional installation CD, except that the operating system image source files reside on an available remote installation server. Using the RIPrep option, you can install the necessary client computer applications and configure the client computer settings, such as monitor settings and network printers. For more information, see To create a Remote Installation Preparation wizard image.

Both the CD-based and RIPrep image formats are displayed in the list of available installation options. The installation process is initiated when the user of the client computer selects one of the operating system image options.

Note

  • Windows 2000 Professional is currently the only installation option supported by Remote Installation Services.


Controlling client installations through Group Policy

You can determine which choices the Client Installation wizard displays to a given user or group by using the Group Policy snap-in. Group Policy is applied to sites, domains, and organizational units and can be inherited within Active Directory. For more information on Group Policy, see Group Policy overview.

The Group Policy options are as follows:

Allow
Users that this policy applies to are offered this installation option.
Don't care
The policy settings of the parent container apply to this option. For example, if you choose Don't care and the administrator for the entire domain has set Group Policy specific to Remote Installation Services, the policy that is set on the domain is applied to all users who are affected by that policy.
Deny
Users affected by this policy cannot access this installation option. For procedural information on controlling access through Group Policy, see To set Group Policy for client installation options.

For information on the options offered by the Client Installation wizard, see Installation options.


Resources

  • Updated technical information
  • Windows 2000 Resource Kit


Troubleshooting Remote Installation Services

What problem are you having?

I am not sure whether I have the correct PXE ROM version.

Solution: When the Net PC or client computer containing a remote boot ROM starts, the version of the PXE ROM appears on the screen. Remote Installation Services supports .99c or greater PXE ROMs, except in a few situations that require the .99L version. You may be required to obtain a newer version of the PXE-based ROM code from your original equipment manufacturer (OEM) if you have problems with the existing ROM version installed on a client computer.

I am not sure whether the client computer has received an IP address and has contacted the Remote Installation Services server.

Solution: When the client computer boots, you will see the PXE boot ROM begin to load and initialize. The following sequence occurs with most PC98 and Net PCs, PXE ROM-based computers, and the computers using the Remote Installation Services boot disk.

Remote Boot ROM Load Sequence:

Step 1:
The client computer displays the message "DHCP", which indicates that the client is requesting an IP address from the DHCP server. This can also mean that the client has obtained an IP address from DHCP and is awaiting a response from the remote installation server. To verify that the client is receiving an IP address, check the IP leases that have been granted on your DHCP server.
Troubleshooting
If the client does not receive the message, an IP address might not have been received or the BINL server might not be responding. Consider the following:
  • Is the DHCP server available and has the service started? DHCP and remote installation servers must be authorized in Active Directory for their services to start. Make sure the service has started and that other clients that are not remote boot–enabled are receiving IP addresses on this segment.
  • Does the DHCP server have a defined IP address scope, and has it been activated?
  • Is there a router between the client and the DHCP server that is not allowing DHCP packets through?
  • Are there any error messages in the event log under the system log for DHCP?
  • Can other client computers—that is, those that are not remote boot–enabled clients—receive an IP address on this network segment?
Step 2:
When the client receives an IP address from the DHCP server, the message may change to "BINL". This indicates that the client successfully leased an IP address and is now waiting to contact the remote installation server. The client will eventually time out and post the error message "No Bootfile received from DHCP, BINL, or Bootp."
Troubleshooting
If the client does not receive the BINL message, this indicates the client is not receiving a response from the remote installation server. Consider the following:
  • Is the remote installation server available and has the Remote Installation Services service started? Remote Installation Services servers must be authorized to start on the network. Use the Dhcpmgmt.msc snap-in to authorize both DHCP and Remote Installation Services servers within Active Directory.
  • Are other remote boot–enabled clients receiving the Client Installation wizard? If so, this client computer either is not supported or is having remote boot ROM–related problems. Check the version of the PXE ROM on the client computer. Also, check Active Directory to see whether the administrator has prestaged this client computer to a remote installation server that is offline or unavailable to the client computer.
  • Is a router between the client and the remote installation server not allowing the DHCP-based requests or responses through? The Remote Installation Services server communicates by way of the DHCP packet type during the initial service request/response sequence. You may need to configure the router to forward the DHCP packets.
  • Are there any error messages in the event log under the system or application logs specific to Remote Installation Services (BINLSVC), Domain Name System (DNS), or Active Directory?
Step 3:
The client then changes to TFTP or prompts the user to press F12. This indicates that the client has contacted the Remote Installation Services server and is waiting to receive the first image file–CIW. You might not see the BINL and TFTP message on some machines because this sequence can occur very rapidly.
Troubleshooting
If the client machine does not get a response from the remote installation server, the client will time out and send an error message saying that it did not receive a file from either DHCP, BINL, or TFTP. In this case, the Remote Installation Services server did not answer the client computer. Do the following:
  • Stop and restart the BINLSVC service by clicking Start, and pointing to Run.
  • In the Run dialog box, type cmd in the text field, and click OK.
  • In the console window, type the following:
    Net Stop BINLSVC
    Net Start BINLSVC
  • Check the remote installation server properties to make sure the Respond to client computers requesting service option is selected and that Do not respond to unknown client computers is cleared unless you have prestaged the client computer in Active Directory prior to starting the client computer.
  • Check the event log to make sure no errors relating to DHCP, DNS, RIS (BINLSVC), or Active Directory exist. If the client machine does not receive an answer after attempting to stop and restart the service, and after checking the remote installation server object properties to ensure the correct settings have been set, you should check the event log on the Remote Installation Services server for any errors relating to DHCP, DNS, and RIS (BINLSVC).
Step 4:
At this point, the client should have downloaded and displayed the Client Installation wizard application with a Welcome screen greeting the user.

Does Remote Installation Services support the older remote boot protocol, Remote Program Load (RPL)–based ROMs?

Solution: The Remote Installation Service feature uses the PXE DHCP–based remote boot ROMs. As such, there is no support in Windows 2000 for the older RPL-based remote boot.

Does Remote Installation Services support remote installation of Windows 2000 Server CD–based or RIPrep operating system installation images?

Solution: No. Remote Installation Services does not support remotely installing the Windows 2000 Server operating system.

Is the Pre-Boot portion of the PXE-based remote boot ROM secure?

Solution: No. The entire boot ROM sequence and operating system installation or replication process is not secure with regard to packet type encryption, client/server spoofing, or wire sniffer–based mechanisms. As such, use caution when using Remote Installation Services on your corporate network. Make sure you allow only authorized Remote Installation Services servers on your network and that you control the number of administrators allowed to install and or configure remote installation servers.

Does Remote Installation Services preserve the file attributes and security settings defined on the source computer when using the RIPrep image feature?

Solution: Yes. The file attributes and security settings that are defined on the source computer are preserved on the destination computer that installs that image. However, the RIPrep feature does not support the encrypted file system if enabled and used on the source client computer.

Does the RIPrep feature of Remote Installation Services support different hardware between the source computer used to create the RIPrep-based operating system installation image and the destination computer that will install the image?

Solution: Yes. The hardware between the source computer and the destination computer can be different. The one exception to this is the hardware abstraction layer (HAL) driver used. For example, if the source computer is an Advanced Configuration Power Interface (ACPI)–based computer, it uses a specific ACPI HAL driver. If you attempt to install this RIPrep image on a computer that is not based or enabled on ACPI, the operating system installation process will fail.

Does the RIPrep wizard support multiple disks or multiple partitions on a given client computer?

Solution: No. The RIPrep utility supports only a single disk with a single partition (C:\drive) in this release of Remote Installation Services.

How does the RIPrep wizard deal with disks that differ in size between the source computer used to create the image and the destination computer that will receive it?

Solution: Disk preparation of the destination computer is identical to that of the source computer, and any remaining disk capacity on the destination computer will be formatted. For example, if the source computer disk capacity is 1 gigabyte (GB) and the disk capacity of the destination computer is 2 GB, the entire 2 GB will be formatted on the destination computer. Remote Installation Services can support formatting the destination computer's hard disk to match the same physical size of the source computer. For more information on managing the client computer disk reformatting process, see Creating an installation image.

How do I replicate all of the operating system installation images currently located on one Remote Installation server to other Remote Installation servers on the network for consistency across all client installations?

Solution: Currently the Remote Installation Services feature does not provide a mechanism for replication of operating system images from one remote installation server to another, but there are several mechanisms you can use to solve this problem. Use the strong replication features of the Systems Management Server product. This product provides for scheduled replication, compression, and slow-link features. You can also use other vendor solutions for operating system image replication. Make sure the replication mechanism you choose supports maintaining the file attributes and security settings of the source images.

Can I have a Remote Installation Services server and another vendor remote boot server on the network at the same time? If so, what are the implications?

Solution: Yes, you can have multiple-vendor remote boot/installation (RB/RI) servers on one physical network. It is important to understand that currently the remote boot PXE ROM code does not know the difference between vendors' RB/RI servers. As such, when a remote boot–enabled client computer starts and requests the IP address of an RB/RI server, all of the available servers will respond to that client; thus, the client has no way to ensure it is serviced by a specific RB/RI server.

Remote Installation Services gives an administrator the ability to prestage client computers into Active Directory and determine which remote installation server will service a client computer. By configuring the remote installation server to answer only known client computers (prestaged), the administrator is assured that the client will be serviced by the correct remote installation server.

Not all of the other RB/RI vendors have implemented the ability to ignore service requests. You might need to isolate the specific vendors' servers on the network so that clients are not answered by these vendors' RB/RI servers.

Can I remotely manage the Remote Installation Services servers from Windows 2000 Professional computers on my network?

Solution: Yes. If you are an administrator in the domain, and you have installed the Administrator Tools MSI package, you can administer the majority of the Remote Installation Services configuration settings. There are some items that you cannot manage—for example, you cannot remotely add more operating system installation images to the remote installation servers from Windows 2000 Professional computers.

Can I add more network adapters to the Remote Installation Services boot disk?

Solution: No. The Rbfg.exe utility cannot be modified with regard to the number of supported network adapters for this release of Remote Installation Services. Microsoft will be adding network card adapters over time, and will make the updated Rbfg.exe utility available through normal distribution channels such as the World Wide Web, Windows updates, and future service or feature pack updates.

Can I use the Active Directory object attributes to create a naming format for use with the Remote Installation Services automatic computer naming feature?

Solution: No. Currently the existing attributes supported with the automatic computer naming feature use Active Directory. However, not all of the Active Directory object attributes are currently supported.

Where do I look on the client computer to find the GUID/UUID for prestaging client computers in Active Directory for use with Remote Installation Services?

Solution: The GUID/UUID for most client computers that are PC98 or Net PC–compliant can be found in the system BIOS of the computer. Computer manufacturers are encouraged to ship either a floppy disk containing a comma-separated file or spreadsheet that contains a mapping of serial numbers to GUID/UUIDs. This will allow you to script prestaging client computers within Active Directory.

The GUID/UUID can also be located on the outside of the computer case for easy identification and prestaging of computer accounts. If the GUID is not found in the locations described in the previous paragraph, you can use a network utility to sniff the network traffic of the client computer and locate the DHCPDiscover packet; within that field will be the 128-bit, 16-byte GUID/UUID.

Command settings are not being processed during the unattended installation.

Cause: When using the "OemPreinstall = yes" setting in a .sif file, the correct directory information is required.

Solution: Change the directory information to \\RemoteInstall\Setup\applicable_language\Images\applicable_name\$oem$.

Language choice options are not displayed during the Client Installation wizard session.

Cause: By default, Remote Installation Services uses the Welcome.osc file to manage the client installation image choices. For multiple language installation image options, you need to replace the default Welcome.osc file with the Multilng.osc file.

Solution: The Client Installation wizard uses the Welcome.osc file located in the \\RemoteInstall\OSChooser folder to manage client installation image choices. When you remove the Welcome.osc file and rename the Multilng.osc file to Welcome.osc, the Client Installation wizard will also offer a menu of multiple language choices to the user. You can edit the Welcome.osc file to create custom language options.

The client computer is prestaged to a remote installation server but is being serviced by a different server.

Cause: When you prestage a client computer into a domain with multiple domain controllers, the replication delay of the client computer account (CAO) information can cause a client computer to be serviced by another Remote Installation server.

Solution: You can wait for the computer account information to be propagated during the next scheduled replication session, or modify the replication frequency between your domain controllers. For more information on configuring replication, see Replication goals and strategies.

Following the restoration of a backup of a Remote Installation Services volume, Remote Installation Services no longer functions properly.

Cause: Backup restored the volume without a Single Instance Store (SIS) directory.

Solution: Verify the configuration of the Remote Installation Services volume and then restore the volume again.

For information about how to verify the configuration of a Remote Installation Services volume, see To verify the Remote Installation Services configuration.